#include <Classes.hpp>
#include "LibMySql.hpp"
#include <stdio.h>

#define SHOW_FIELDNAME  0
#define SHOW_TYPE  1
#define SHOW_NULL  2
#define SHOW_DEFAULT  4
#define SHOW_EXTRA  5
#define QUOTE_CHAR	'`'


#define ConnectErr "Server connection error"

typedef char	*my_string; /* String of characters */

class TMySQLObj
{
 private:
  int len, opt_mysql_port;
  my_string opt_mysql_unix_port;
  int NumRows;
 public:
  int ResFindDB,ResFindTb;
  char MyErrStr[255];
  char FindName[255];
  int MyErrNo;
  MYSQL  *MySock;
  MYSQL_RES  *PSQLRes;
  PMYSQL_ROW  PMyRow;
  int Connected;

  TMySQLObj()
  {
    Connected=0;
    PSQLRes =NULL;
    PMyRow =NULL;
    MySock =NULL;
    FindName[0]=0;
    MyErrStr[0]=0;
    MyErrNo=0;
    ResFindDB=0;
    NumRows=0;
    opt_mysql_port=0;
    opt_mysql_unix_port=0;
  };
  int ConnectServer(char *host,char *user,char *passwd) ;
  char * LastError(void) {return mysql_error(MySock); };
  int LastErrno(void) {return mysql_errno(MySock); };
  PMYSQL RealConnectServer(char *host,char *user,char *passwd,char *db);
  void DisConnect(void);
  int PingServer(void);  
  MYSQL_RES *DoQuery(char *sql);
  int SelectDB(char *database);
  int ExecSQL(char *sql);
  int FindFirstDatabase(void);
  int FindNextDatabases(void);
  int FindFirstTable(char *database);
  int FindNextTable(void);
  void FreeResult(void);
  void GetMyErr(void);
};


